Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface CompoundClauseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CompoundClauseTypeImpl

    public interface CompoundClauseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Compound Clause Type'.

The following features are supported:

- `Clause`
- `Connective Predicate`

See Also:
  `QueryPackage.getCompoundClauseType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getClause()` Returns the value of the 'Clause' containment reference list.
`ConnectivePredicateType` | `getConnectivePredicate()` Returns the value of the 'Connective Predicate' attribute.
`boolean` | `isSetConnectivePredicate()` Returns whether the value of the '`Connective Predicate`' attribute is set.
`void` | `setConnectivePredicate(ConnectivePredicateType value)` Sets the value of the '`Connective Predicate`' attribute.
`void` | `unsetConnectivePredicate()` Unsets the value of the '`Connective Predicate`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClause

    org.eclipse.emf.common.util.EList getClause()

  Returns the value of the 'Clause' containment reference list. The list contents are of type `ClauseType`.

  If the meaning of the 'Clause' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Clause' containment reference list.
  See Also:
    `QueryPackage.getCompoundClauseType_Clause()`

### getConnectivePredicate

    ConnectivePredicateType getConnectivePredicate()

  Returns the value of the 'Connective Predicate' attribute. The default value is `"And"`. The literals are from the enumeration `ConnectivePredicateType`.

  If the meaning of the 'Connective Predicate' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Connective Predicate' attribute.
  See Also:
    `ConnectivePredicateType`, `isSetConnectivePredicate()`, `unsetConnectivePredicate()`, `setConnectivePredicate(ConnectivePredicateType)`, `QueryPackage.getCompoundClauseType_ConnectivePredicate()`

### setConnectivePredicate

    void setConnectivePredicate(ConnectivePredicateType value)

  Sets the value of the '`Connective Predicate`' attribute.

  Parameters:
    `value` - the new value of the 'Connective Predicate' attribute.
  See Also:
    `ConnectivePredicateType`, `isSetConnectivePredicate()`, `unsetConnectivePredicate()`, `getConnectivePredicate()`

### unsetConnectivePredicate

    void unsetConnectivePredicate()

  Unsets the value of the '`Connective Predicate`' attribute.

  See Also:
    `isSetConnectivePredicate()`, `getConnectivePredicate()`, `setConnectivePredicate(ConnectivePredicateType)`

### isSetConnectivePredicate

    boolean isSetConnectivePredicate()

  Returns whether the value of the '`Connective Predicate`' attribute is set.

  Returns:
    whether the value of the 'Connective Predicate' attribute is set.
  See Also:
    `unsetConnectivePredicate()`, `getConnectivePredicate()`, `setConnectivePredicate(ConnectivePredicateType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD